# EditChatMessageText - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.edit.text / EditChatMessageText

# EditChatMessageText

(common) `data class EditChatMessageText : EditChatMessage<TextContent>, EditTextChatMessage, EditReplyMessage, EditDisableWebPagePreviewMessage` (source)

### Constructors

(common)

#### <init>

`EditChatMessageText(chatId: ChatIdentifier, messageId: MessageIdentifier, text: String, parseMode: ParseMode? = null, disableWebPagePreview: Boolean? = null, replyMarkup: InlineKeyboardMarkup? = null)`

### Properties

(common)

#### chatId

`val chatId: ChatIdentifier`

(common)

#### disableWebPagePreview

`val disableWebPagePreview: Boolean?`

(common)

#### messageId

`val messageId: MessageIdentifier`

(common)

#### parseMode

`val parseMode: ParseMode?`

(common)

#### replyMarkup

`val replyMarkup: InlineKeyboardMarkup?`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<ContentMessage<TextContent>>`

(common)

#### text

`val text: String`

### Functions

(common)

#### method

`fun method(): String`